Welcome

Online Help

Welcome

Registry Cleaner Overview

The Registry is a heart and soul of any Windows system. It contains information that controls how your Windows appears and how it behaves. Most applications today use registry to store configuration and other important data. When you install an application, a new registry entries will be created. These entries will automatically be deleted when you uninstall the application. Unfortunately, it does not always work that way. Sometimes, you will find that some applications fail to remove their own registry entries. These entries will become obsolete.

After a long period, after installing and uninstalling a lot number of applications, your Windows registry will contain a large number of obsolete entries. These will significantly increase the registry size and thus will slowdown your computer, because Windows will need more time to load, search, and read data from registry.

To keep your computer in top performance, it is recommended to periodically clean your Windows registry.

Why using TweakNow RegCleaner?

  • Fast: using a high performance engine, TweakNow RegCleaner quickly scan your registry to find obsolete entries.
  • Accurate: using complex algorithm TweakNow RegCleaner accurately identify obsolete entries.
  • Secure: TweakNow RegCleaner automatically create backup file before deleting obsolete entries from your registry.

Just try it ! You find the TweakNow RegCleaner is the fastest and the most reliable registry cleaner program available today.

Minimum Requirement:

  • Microsoft Windows 2000, XP, XP Professional x64 Edition, 2003, Vista.


What's New

What's New

New in v3.0.0

  • Added support for Windows Vista.

New in v2.9.0

  • Improved exclusion list feature.
  • Improved stability and performance.

New in v2.8.1

  • Added deep scan feature to further examine the "unknown" items status.

New in v2.6.9

  • Added beginner user mode.

New in v2.6.0

  • Improved stability and performance.
  • Added support for Windows XP Professional x64 edition.

New in v2.0.2

  • Improved User Interface.
  • Improved scan engine performance.
  • Added support for non-administrator (limited) user account.


License Agreement

License Agreement

END USER LICENSE AGREEMENT

PLEASE READ THIS END USER LICENSE AGREEMENT ("EULA") BEFORE USING THIS SOFTWARE. BY USING THIS SOFTWARE, YOU ARE AGREEING TO BE BOUND BY THE TERMS OF THIS LICENSE. IF YOU DO NOT AGREE TO THESE TERMS, PROMPTLY CEASE ALL FURTHER INSTALLATION OR USE OF THE SOFTWARE.

PROPRIETARY RIGHTS

This software product is protected by copyright laws and international copyright treaties. All rights not currently granted in this license agreement are reserved entirely to TweakNow.com. This Agreement does not grant you any rights to patents, copyrights, trade secrets, trade names, trademarks, or any other rights, functions or licenses in respect of the Software.

LICENSE

TweakNow RegCleaner is distributed in Non-commercial License. This license grant the End User to install the Software Product in non-commercial environment and for non-commercial purpose only.

DISTRIBUTION

Copies of trial version of TweakNow RegCleaner Standard may be distributed in accordance to the following terms:

  • The files are distributed in their entirety.
  • No alteration is made to the files, including changing or removing any messages.
  • No charge (other than charges for disk duplication and handling) be made for any redistribution.

If you need more information about the license, please email us at info@tweaknow.com.

LIABILITY

We try to keep our software as bug-free as possible. But it's a general rule that no software ever is error free, and the number of errors increases with the complexity of the program.

TERMINATION

This License shall remain in full force and effect unless and until terminated. This License will terminate immediately, automatically and without notice if LICENSEE fails to comply with any provision of this Agreement.


How to contact us

How to contact us

Email Support
  • For product information or to place an order online, email us at order@tweaknow.com.
  • For technical support, email us at info@tweaknow.com.

Latest News

  • For the latest news of TweakNow RegCleaner Standard, please visit our web site at www.tweaknow.com.


How to upgrade

How to upgrade

Upgrade to TweakNow RegCleaner Professional version now for only $24.95. Click here to purchase the professional version.

Professional vs. Standard

Feature Availability | Professional Edition | Standard Edition
Create Backup | yes | yes
Registry Scan Engine* | Professional version | Standard version
Deep Scan Mode | yes | no
Registry Defragmenter | yes | no

*The professional registry scan engine should be able to find up to 900% more invalid entries then the standard version.

Try TweakNow RegCleaner Professional:

Please visit our website at www.tweaknow.com to download trial version of TweakNow RegCleaner Professional.


System Requirements

System Requirements

Operating System

TweakNow RegCleaner Standard, support the following Windows operating systems:

  • Windows 2000 Professional
  • Windows XP Professional/Home edition
  • Windows XP Professional x64 edition
  • Windows 2003 Standard
  • Windows Vista

Hardware

There is no special hardware requirement for running TweakNow RegCleaner Standard. As long as your PC is installed with a supported version of Windows (see supported list above), you should have no problem running TweakNow RegCleaner Standard on your PC.


Installation

Installation

If you are using any version of TweakNow RegCleaner Standard prior to 2.6.0, uninstall your previous version of TweakNow RegCleaner Standard BEFORE you install the new release.


Uninstallation

Uninstallation

To uninstall TweakNow RegCleaner Standard, please follow the following steps:

  • Open Control Panel and double click on Add or Remove Programs icon.
  • Choose TweakNow RegCleaner Standard in the list of currently installed programs.
  • Click the remove button and follow the on screen instruction.


Registry Cleaner

Registry Cleaner

Configuring TweakNow RegCleaner Standard Options

The default settings should be good enough for most users. However, you may want to adjust them to suit your need. There are several options that you can modify:

  • Ignore Missing Files on Removable Drives: set whether TweakNow RegCleaner Standard should ignore all registry values that refer to removable drives (CD/DVD or USB disk). Recommended: check the checkbox.
  • Registry Keys to exclude: All registry keys (and they're sub keys) listed in this list will not be included in the scanning process.

Quick Registry Cleaning with TweakNow RegCleaner Standard

  • Under the scan mode section, select the available options that best describe the scan you would like to run.
    • Quick Scan: this mode only scan the most important part of your registry.
    • Custom: this mode allows you to manually select list of registry sections to be scanned.
  • Under the user mode section, select the available options that best describe your understanding of Windows registry.
    • Beginner: in this mode several registry keys will be excluded during the scan process and only scan results that rated as safe to delete will be shown to user.
    • Expert: scan the registry using all available scan methods and all scan results will be shown to user.
  • Click the clean now button. The registry scan starts running and the length of the scan will depend on the options you have selected.
  • After the scan has completed click the view result button to display scan results.
  • Carefully analyze the result.

    Table below provides an overview of the icons displayed in the result dialog.

    Icon | Explanation
    Safe to delete | This value refers to missing files or folders. You are safe to delete the value.
    Not fully safe to delete | This value contents both valid and invalid data. We recommend to simply ignore the value (unless you know what to do).
    Unknown | The program is unable to determine the status of data in registry value. Click the deep scan button to further examine this registry value.
  • Check ( [image] ) all items that you wish to delete/clean and click delete button to start the cleaning process. Please note that when you click the Delete button, TweakNow RegCleaner Standard automatically backup all checked items before deleting them.

Restoring TweakNow RegCleaner Standard Backup File

  1. In the main window, click restore backup icon or link. The restore dialog will appear.
  2. Select file that you wish to restore from the list and click restore button.